FROM python:3.8.5

WORKDIR /src

ADD ./requirements.txt /src/requirements.txt
RUN pip install --default-timeout=1000 -r requirements.txt

RUN pip install --default-timeout=1000 --upgrade numpy

ADD . /src

EXPOSE 8000

CMD ["uvicorn", "main:app", "--host=0.0.0.0"]